<section class="explore-mapset-main px-3">
  <div class="main container"
       [ngClass]="{'d-none': activeDetailMapset === null }">
    <div class="row mb-3"
         style="background-color: #FAFAFA;height: 200px;">
      <div class="col p-0 position-relative"
           #mapViewEl>
        <div class="h-100 w-100"
             id="mapView"></div>

        <button *ngIf="!checkActiveMapset()"
                (click)="activateMapset()"
                class="btn-add me-4 mb-4 text-nowrap">TAMPILKAN PETA</button>
        <button *ngIf="checkActiveMapset()"
                (click)="activateMapset()"
                class="btn-add me-4 mb-4 text-nowrap">HAPUS DARI PETA</button>
      </div>
    </div>
    <div class="row">
      <div class="col ps-0">
        <span class="title">{{activeDetailMapset?.name}}</span>
      </div>
    </div>
    <div class="row py-2 d-flex align-items-center"
         style="border-bottom: 1px solid #A8A8A8;">
      <button class="btn-copy-url border-0 alert px-3 mb-0 flex-grow-1"
              (click)="copyMapURL(activeDetailMapset?.app_link)"
              *ngIf="activeDetailMapset?.app_link">
        <svg-icon src="assets/icons/copy.svg"></svg-icon>
        Salin Tautan Peta
      </button>
      <ng-container *ngIf="activeDetailMapset?.metadata_xml && isLoggedIn">
        <div class="vertical-line-separator mx-2"></div>
        <button class="btn-download-xml alert px-3 mb-0 flex-grow-1"
                (click)="downloadFile(apiData + activeDetailMapset?.metadata_xml)">
          <svg-icon src="assets/icons/download.svg"></svg-icon>
          Unduh Metadata XML
        </button>
      </ng-container>
      <ng-container *ngIf="activeDetailMapset?.shp && isLoggedIn">
        <div class="vertical-line-separator mx-2"></div>
        <a [href]="apiData + activeDetailMapset?.shp"
           target="_blank"
           class="btn-download-shp alert px-3 mb-0 flex-grow-1 text-center">
          <svg-icon src="assets/icons/download.svg"></svg-icon>
          Unduh Dataset SHP
        </a>
      </ng-container>

    </div>
    <div class="info-dataset row py-3"
         style="border-bottom: 1px solid #A8A8A8;">
      <div class="col p-0">
        <div class="w-100 info-title sub-title d-flex align-items-center cursor-pointer "
             data-toggle="collapse"
             href="#infoDataset"
             role="button"
             aria-expanded="true"
             aria-controls="infoDataset"
             (click)="isCollapsedGroup.infoDataset = !isCollapsedGroup.infoDataset">
          Informasi Dataset Geospasial
          <fa-icon class="ms-auto me-1"
                   [ngClass]="{'text-success': !isCollapsedGroup.infoDataset}"
                   [icon]="!isCollapsedGroup.infoDataset ? icons.faChevronUp  : icons.faChevronDown"
                   style="pointer-events: none;"></fa-icon>
        </div>

        <div class="collapse show"
             id="infoDataset">
          <div class="w-100 pt-3">
            <table>
              <tr>
                <th>Klasifikasi</th>
                <td>:</td>
                <td>
                  <span
                        [class]="'explore-main-classification ' + getMapsetClassColor(activeDetailMapset?.dataset_class.name)">
                    {{activeDetailMapset?.dataset_class.name}}
                  </span>
                </td>
              </tr>
              <tr>
                <th>Deskripsi</th>
                <td>:</td>
                <td>
                  <strong>{{ activeDetailMapset?.description }}</strong>
                </td>
              </tr>
              <tr>
                <th>Sektoral</th>
                <td>:</td>
                <td>
                  <strong>{{ activeDetailMapset?.sektoral?.name ? activeDetailMapset?.sektoral?.name : '-' }}</strong>
                </td>
              </tr>
              <tr>
                <th>Skala</th>
                <td>:</td>
                <td>
                  <strong>{{ activeDetailMapset?.scale ? activeDetailMapset?.scale : '-' }}</strong>
                </td>
              </tr>
              <tr>
                <th>Cakupan Wilayah</th>
                <td>:</td>
                <td>
                  <strong>{{ activeDetailMapset?.area_coverage !== 'province' ? 'Wilayah Kab/Kota atau gabungannya' :
                    'Wilayah Jabar' }}</strong>
                </td>
              </tr>
              <tr>
                <th>Edisi/Versi Data</th>
                <td>:</td>
                <td>
                  <strong>{{ activeDetailMapset?.data_version ? activeDetailMapset?.data_version : '-' }}</strong>
                </td>
              </tr>
            </table>
          </div>
        </div>
      </div>
    </div>
    <div class="responsible-person row pt-4 pb-4"
         style="border-bottom: 1px solid #A8A8A8;">
      <div class="col p-0">
        <div class="w-100 info-title sub-title d-flex align-items-center cursor-pointer "
             data-toggle="collapse"
             href="#responsiblePerson"
             role="button"
             aria-expanded="false"
             aria-controls="responsiblePerson"
             (click)="isCollapsedGroup.responsiblePerson = !isCollapsedGroup.responsiblePerson">
          Penanggung Jawab
          <fa-icon class="ms-auto me-1"
                   [ngClass]="{'text-success': !isCollapsedGroup.responsiblePerson}"
                   [icon]="!isCollapsedGroup.responsiblePerson ? icons.faChevronUp  : icons.faChevronDown"
                   style="pointer-events: none;"></fa-icon>
        </div>

        <div class="collapse"
             id="responsiblePerson">
          <div class="w-100 pt-3">
            <table>
              <tr>
                <th>Regional</th>
                <td>:</td>
                <td>
                  <strong>{{ activeDetailMapset?.regional.nama_kemendagri }}</strong>
                </td>
              </tr>
              <tr *ngIf="activeDetailMapset?.skpd?.nama_skpd || activeDetailMapset?.organization_manual">
                <th>Organisasi</th>
                <td>:</td>
                <td>
                  <strong *ngIf="activeDetailMapset?.regional_id === 1">{{ activeDetailMapset?.skpd?.nama_skpd
                    }}</strong>
                  <strong *ngIf="activeDetailMapset?.regional_id !== 1">{{ activeDetailMapset?.organization_manual
                    }}</strong>
                </td>
              </tr>
              <tr>
                <th>Alamat</th>
                <td>:</td>
                <td>
                  <strong>{{ activeDetailMapset?.owner_address ? activeDetailMapset?.owner_address : '-' }}</strong>
                </td>
              </tr>
              <tr>
                <th>Email</th>
                <td>:</td>
                <td>
                  <strong>{{ activeDetailMapset?.owner_email ? activeDetailMapset?.owner_email : '-' }}</strong>
                </td>
              </tr>
              <tr>
                <th>Telepon</th>
                <td>:</td>
                <td>
                  <strong>{{ activeDetailMapset?.owner_telephone ? activeDetailMapset?.owner_telephone : '-' }}</strong>
                </td>
              </tr>
            </table>
          </div>
        </div>
      </div>
    </div>
    <div class="row pt-4 pb-4 explore-info"
         *ngIf="activeDetailMapset?.program?.id === 1">
      <div class="col p-0">
        <div class="w-100 info-title">
          Dataset didukung oleh
        </div>
        <div class="w-100 pt-3">
          <img src="assets/img/citarum-harum.svg"
               alt="Citarum Harum">
          <img src="assets/img/dlh.svg"
               alt="Dinas Lingkungan Hidup"
               class="ms-2">
          <img src="assets/img/nagabendu.svg"
               alt="Nagabendu"
               class="ms-2">
        </div>
      </div>
    </div>
  </div>
  <div class="empty-content h-100 justify-content-center"
       [ngClass]="(activeDetailMapset === null) ? 'd-flex' : 'd-none'">
    <div class="align-self-center text-center">
      <img src="assets/img/pratinjau.svg"
           width="180"
           alt="pratinjau"
           height="121" />
      <p class="mt-3">
        Pilih dataset untuk melihat pratinjau <br>
        dalam peta
      </p>
    </div>
  </div>
</section>